Skip to main content
POST
/
api
/
v1
/
incidents
Create a manual incident
curl --request POST \
  --url https://api.devhelm.io/api/v1/incidents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "body": "<string>"
}
'
import requests

url = "https://api.devhelm.io/api/v1/incidents"

payload = {
    "title": "<string>",
    "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "body": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    title: '<string>',
    monitorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    body: JSON.stringify('<string>')
  })
};

fetch('https://api.devhelm.io/api/v1/incidents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "incident": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": 123,
      "affectedRegions": [
        "<string>"
      ],
      "reopenCount": 123,
      "statusPageVisible": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "triggeredByRule": "<string>",
      "createdByUserId": 123,
      "serviceIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalRef": "<string>",
      "affectedComponents": [
        "<string>"
      ],
      "shortlink": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "confirmedAt": "2023-11-07T05:31:56Z",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "cooldownUntil": "2023-11-07T05:31:56Z",
      "monitorName": "<string>",
      "serviceName": "<string>",
      "serviceSlug": "<string>",
      "monitorType": "<string>",
      "resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resourceGroupName": "<string>",
      "triggeringCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "triggeredByRuleSnapshotHashHex": "<string>",
      "triggeredByRuleIndex": 123,
      "engineVersion": "<string>"
    },
    "updates": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "notifySubscribers": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "body": "<string>"
      }
    ],
    "statusPageIncidents": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "statusPageName": "<string>",
        "statusPageSlug": "<string>",
        "title": "<string>",
        "scheduled": true,
        "publishedAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Body

application/json
title
string
required

Short summary of the incident

Minimum string length: 1
severity
enum<string>
required

Incident severity: DOWN, DEGRADED, or MAINTENANCE

Available options:
DOWN,
DEGRADED,
MAINTENANCE
monitorId
string<uuid> | null

Monitor to associate with this incident

body
string | null

Detailed description or context for the incident

Response

Created

data
object
required